import Vue from 'vue'

import 'normalize.css/normalize.css' // A modern alternative to CSS resets

import ElementUI from 'element-ui'
// import ElementUI from '@/utils/element'
import 'element-ui/lib/theme-chalk/index.css'
// import locale from 'element-ui/lib/locale/lang/en' // lang i18n

import '@/styles/index.scss' // global css
import '@/styles/list.scss'
import '@/styles/reset.scss'

import App from './App'
import store from './store'
import router from './router'

import '@/icons' // icon
import '@/permission' // permission control

// import api from '@/api/index.js'
// Vue.prototype.$api = api

import debounce from '@/directive/debounce'
Vue.use(debounce).use(globalComponents)
import '@/directive/defaultImg'
import '@/directive/btnPermission.js'

import globalComponents from '@/components/index'

import { protoAuthBtn, protoImgCompress } from '@/utils/prototype'
Vue.prototype.$showAuthBtn = protoAuthBtn
Vue.prototype.$protoImgCompress = protoImgCompress
// 用来对oss的图片、视频等媒体数据的url进行匹配替换
Vue.prototype.$mediaRegExp = /^(https?:)?\/\/.+(.com.au\/|.com\/)/

import i18n from '@/i18n/'

store.commit('app/set_i18n', i18n)

import mixin from '@/utils/mixin'
Vue.mixin(mixin);

Vue.use(ElementUI, {
  i18n: (key, value) => i18n.t(key, value),
})

Vue.config.productionTip = false

new Vue({
  el: '#app',
  i18n,
  router,
  store,
  render: (h) => h(App),
})
